
일치하는 항목이 없습니다. “video”, “FLUX” 또는 “webhooks”를 검색해 보세요.
모델 로드 중…
nano-banana-pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nano-banana-pro/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png",
],
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ko/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "nano-banana-pro/edit",
"input": {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}
}
Doitong API를 통해 Nano Banana Pro Edit 모델(nano-banana-pro/edit)을 호출합니다. 에이전트용 문서: https://doitong.com/ko/developers/models/nano-banana-pro/edit.md
POST https://api.doitong.ru/v1/run/nano-banana-pro/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}
응답 상태가 "queued" 또는 "running"이면 "succeeded"가 될 때까지 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20을 폴링하세요. 파일은 outputs[].url에 있습니다. POST https://api.doitong.ru/v1/quote/nano-banana-pro/edit에 동일한 본문을 보내면 실행 전에 정확한 가격을 반환합니다.
이 요청: $0.15 150 API 크레딧 · ≈ ₽16.14 이 페이지에서 실행
새 API 키입니다. 지금만 표시되며 이미 아래 코드와 API 키 필드에 입력되어 있습니다. 안전하게 보관하세요. 브라우저에서 실행되는 코드에 절대 넣지 마세요.
프롬프트Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K
컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.
/run/nano-banana-pro/edit?wait=20
견적 → $0.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/nano-banana-pro/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/nano-banana-pro/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png",
],
"resolution": "1K",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/nano-banana-pro/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "nano-banana-pro/edit",
"input": {
"prompt": "Faithfully restore this image with high fidelity to modern photograph quality, in full color, upscale to 4K",
"images": [
"https://content.doitong.com/dev-api/2026/10/21/req_tlhvxyf27ektm9ozuzozz5fn/0-1h3kLymYuP3n6Z-kAnWa8_Nh4eqcOs.png"
],
"resolution": "1K"
},
"wait_seconds": 20
}
}
}
Doitong 커뮤니티가 Nano Banana Pro로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.
Strong rule: style --- 3D-анимация, Pixar стиль ---. Мужчина 55 лет, худощавый, с хищными чертами лица и холодными, расчетливыми глазами. Одет в такой же охотничий костюм, как и граф, но сидит он на нем более небрежно. На лице почти всегда тень нетерпения и жестокости. В стиле кинематографичный,...
Art style: 3D Pixar. Интерьер современного яркого торгового центра с зеркальными витринами и глянцевыми манекенами. На переднем плане Люба с широко раскрытыми глазами и восторженным выражением лица смотрит на пару изящных красных туфель на высоком каблуке, выставленных на подсвеченном пьедестале....
Strong rule: style --- 3D-анимация, Pixar стиль ---. Мужчина 50 лет, статный, с густыми усами и властным, но справедливым взглядом. Одет в дорогой твидовый костюм для охоты, идеально сшитый по фигуре. Держится с достоинством. В стиле кинематографичный, полуреалистичный digital painting с мягким...
Art style: Realistic Photography. Крупный план стола, за которым сидит веселая компания. Они услышали знакомую мелодию, смеются, активно подпевают и ищут песню в своих карточках. Один из мужчин радостно показывает пальцем на свою карточку. Эмоции: восторг, ностальгия....
Art style: Realistic Photography. Женщина за одним из столиков вскакивает с места, победно поднимая вверх свою карточку лото. Ее лицо сияет от счастья. Друзья за столом обнимают ее и поздравляют. На заднем плане другие гости аплодируют. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE...
Art style: 3D Pixar Animation. Caroline turns her back completely and glides away towards Arthur's group, leaving Lenny standing alone and dejected. His bright yellow color seems to dim slightly. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Boris the Banana holding a tiny glowing smartphone, looking pathetic. Lenia the Lemon stands next to him with a sour, deadpan expression, rolling his eyes. Soft glow from the phone screen illuminating Boris's face. 3D Pixar style....
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Dusty floor under a wooden kitchen table. Boris the Banana is holding a shiny golden sticker label that reads text. He looks completely shocked, eyes wide open. Cinematic lighting focusing on the golden label. 3D Pixar style....
Art style: 3D Pixar Animation, vibrant colors, cinematic l.... Dark, shadowy kitchen counter at night. Artur the Avocado stands in the shadows, whispering ominously. Karolina the Strawberry is peeking from behind a napkin holder in the background, looking confused and slightly scared. Moonlight...
Art style: 3D Pixar. Высокогорная расщелина в сером граните, в которую глубоко вогнан старинный кинжал с резной костяной рукоятью. Крупный план, камера под углом 45 градусов фокусируется на деталях металла. Суровое полуденное солнце создает резкие тени на камне. Атмосфера вечного покоя и...
Strong rule: style --- 3D Pixar ---. 30-летний черкесский воин с волевым лицом, пронзительными темными глазами и аккуратной короткой черной бородой. На нем надета традиционная черная шерстяная черкеска с начищенными серебряными газырями на груди и тонкий кожаный пояс с изящным кавказским...
Strong rule: style --- 3D-анимация, Pixar стиль ---. 10-летний мальчик, аристократ, со светлыми взъерошенными волосами и большими, любопытными голубыми глазами. Одет в элегантный, но удобный для ребенка костюм викторианской эпохи: вельветовые бриджи, светлая рубашка и короткий жакет. В стиле...
Strong rule: style --- 3D-анимация, Pixar стиль ---. Две лисицы с огненно-рыжим мехом и умными, блестящими глазами. Они выглядят более изящными и быстрыми, чем обычные английские лисы. Их движения полны дикой грации. В стиле кинематографичный, полуреалистичный digital painting с мягким светом,...
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. A Scottish Fold cat named Tanya stands petrified in front of a massive holographic vault. A menacing red digital timer on the vault reads 23:58:42. Her fur is standing on end in...
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. Desperate, Tanya the cat sits in a luxurious taxi speeding through a neon-lit city at night. She's on a video call, her face filled with anxiety, displayed on the phone screen....
[Lighting: cinematic] Art style: 3D Pixar Animation, Zootopia aesthetic, highly detailed animation. 3D Pixar style. Tanya the cat stands with her eyes closed, concentrating intensely. Around her, a beautiful and complex hologram of her 'Matrix of Destiny' forms, with the glowing numbers 13, 4,...
Nano Banana Pro의 편집 모드입니다. 하나 이상의 이미지를 제공하고 배경 교체, 사람과 제품을 한 장면에 결합, 스타일 변경 또는 표지판의 텍스트 수정과 같은 변경 사항을 설명합니다. 편집 전반에서 정체성과 세부 사항을 안정적으로 유지합니다. 일반적인 화면 비율로 1K, 2K 또는 4K 출력이 가능하며, 선택적 웹 정보 반영과 요청당 최대 4개의 결과를 지원합니다.
표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름
prompt필수
num_images선택 사항
num_outputs
seed선택 사항
aspect_ratio선택 사항
output_format선택 사항
safety_tolerance선택 사항
image_urls필수
images
system_prompt선택 사항
resolution선택 사항
limit_generations선택 사항
enable_web_search선택 사항
파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "nano-banana-pro/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "Put this white sneaker on a sunlit marble pedestal in a minimalist gallery, keep the shoe exactly as it is",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
],
"resolution": "1K"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/nano-banana-pro/edit.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt